Debian Squeeze a bezpieczeństwo starych pakietów


(Bujas Damian) #1

Witam. Zastanawia mnie czy opłaca się jeszcze siedzieć na szóstej wersji Debiana. Chodzi mi głównie o bezpieczeństwo, bo na Squeeze nie wychodzą aktualizacje i jest na przykład Iceweasel 5 a na Wheezy 14/15. czy praca na takiej starej przeglądarce jest bezpieczna? i ogólnie na takim systemie?


(mati75) #2

Zalecana jest aktualizacja iceweasel 10 z backportów, reszta programów jest łatana przez repozytorium security.


(saturno) #3

Iceweasel 3.5.x w Squeeze również jest łatany z security: http://packages.debian.org/squeeze/iceweasel >> http://packages.debian.org/changelogs/p ... /changelog

Inna sprawa, to to że tak stara wersja przeglądarki nie będzie posiadać żadnych nowych funkcji i mogą być problemy z niektórymi dodatkami.

Dodane:

Debian Mozilla team: http://mozilla.debian.net/


(mati75) #4

Jest łamany, ale zalecana jest instalacja nowszej wersji.


(Bujas Damian) #5

A Flash? Java? za nic nie mogłem zaktualizować ani jednego ani drugiego. Java 6 podobno jest dziurawa jak drogi w naszym kraju, a przez przestarzałego flasha nie mogłem sobie np posłuchać RMFu na Iceweasel/Operze, jedynie na Chromie wszystko chodziło i było aktualne więc dla mnie to najlepsza przeglądarka na starsze Linuksy.


(marcin82) #6

Tutaj masz conajmniej kilka możliwości:

  • sprawdzenie czy pakiet javapackage jest "używalny" w gałęzie stable:

http://dug.net.pl/news/382/

  • ręczna instalacja najnowszego wydania ze strony Oracle (paczki *.tar.gz). Wbrew pozorom to nie jest nic trudnego;

  • dodanie repozytoriów testing lub unstable oraz spinowanie odpowiednich pakietów otwartej Javy. Oczywiście, żeby nie narobić bajzlu w systemie z gałęzie testing lub unstable mogą pochodzić tylko pakiety Javy.

====

Odnośnie Flashplayer. Można spróbować niezbyt eleganckiego sposobu - podmiany pliku libflashplayer.so , bo tylko o niego chodzi i w każdej dystrybucji jest to nadal ta sama binarka (działająca lub skopana). Pozostaje tylko kwestia odnalezienia "ostatniej - najnowszej działającej wersji":

http://helpx.adobe.com/flash-player/kb/ ... sions.html .